Skip to main content
GET
/
v2
/
messaging
/
messages
/
search
Search Messages
curl --request GET \
  --url https://api.voxo.co/v2/messaging/messages/search \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "userId": 123,
      "userName": "<string>",
      "peerName": "<string>",
      "conversationId": 123,
      "conversationName": "<string>",
      "participants": "<string>",
      "text": "<string>"
    }
  ],
  "page": 123,
  "totalRecords": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

Search text

startDate
string

Start date (ISO 8601)

endDate
string

End date (ISO 8601)

Response

Search results

records
object[]
required

Message search results

page
number
required

Current page

totalRecords
number
required

Total number of records